body {
  background-image: url("https://jeserak.neocities.org/assets/shark-bg-tile-ph.png");
  image-rendering: pixelated;
  background-repeat: repeat;
  color: black;
  font-family: Verdana;
  line-height: 1.25;
  display:flex;
  justify-content: center;
}

header {
  display: flex;
  margin: auto;
}

main { 
  display: flex;
  flex-direction: column;
  background-color: rgba(255, 207, 166, 0.8);
  padding: 10px;
}
main > * {
  background-color: #F18D34;
  padding-left: 20px;
  padding-right: 20px;
  border-radius: 10px;
  border-width: 3px;
  border-color: #202255;
  border-style: ridge;
  margin-bottom: 10px;
}
main > *:last-child {
  margin-bottom: 0;
}

content {
  width: 1250px;
  max-width: 100%;
  align-self: center;
  display: grid;
  grid-template:
    "header header header" auto
    "asideLeft main asideRight" auto
    "footer footer footer" auto / 220px auto 220px;
}

asideLeft {
  background-color: rgba(255, 207, 166, 0.8);
  max-width: 100%;
  padding-top: 10px;
  padding-left: 10px;
  padding-right: 10px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  display: grid;
  align-content: start;
}

asideRight {
  background-color: rgba(255, 207, 166, 0.8);
  opacity: 0.9;
  max-width: 100%;
  padding-top: 10px;
  padding-left: 10px;
  padding-right: 10px;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
}

welcome {
  font-family: 'cascadia code mono', 'Courier New', monospace, Courier;
  font-size: 14px;
}

blog {
  font-family: 'cascadia code mono', 'Courier New', monospace;
  font-size: 14px;
}

.custom-scrollbar {
  scrollbar-width: thin;
  scrollbar-color: #F8FBFC;
}

.aside-section {
  background-color: #FFCFA6;
  opacity: 1;
  padding: 5px;
  border-style: dotted;
  border-color: #391A0B;
  margin: 0 0 0 5px;
}
.aside-section-title {
  background-color: #202255;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  padding: 0 0.3em 0 0.3em;
}
.aside-section-title > h3 {
  justify-self: center;
  color:#F8FBFC;
  padding-block-start: 0.3em;
  padding-block-end: 0.3em;
  margin: 0 0 0.5em 0;
}

.intra-linker {
  margin-block-start: 0;
  padding-inline-start: 0;
}
.intra-linker > a li {
  list-style-position: inside;
  padding: 3px 0 0 0.5em;
  color: #202255;
}
.intra-linker > a {
  font-family: 'cascadia code mono', 'Courier New', monospace;
  font-size: 16px;
  color: #391A0B;
  padding-top: 3px;
}
.intra-linker > a li:hover {
  background-color: #202255;
  color: #F8FBFC;
}
.intra-linker >a:hover {
  color: #F8FBFC;
}

.pfp {
  border-width: 2px;
  border-style: dashed;
  border-color: #F8FBFC;
  z-index: 1;
}

.two-columns {
  display: flex;
}
.two-columns > * {
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-content: center;
  padding: 0.5em;
}
/*.two-columns > *:first-child {
  align-content: center;
}*/
 .two-columns > *:last-child {
  align-content: flex-start;
  padding-right: 14px;
} 

.blog-list {
  height: 400px;
  overflow-y: auto;
  padding-inline-start: 0px;
  margin-block-start: 0.5em;
  margin-block-end: 0.5em;
}
.blog-post {
  display: flex;
  padding: 0px;
  border-width: 2px;
  border-color: #202255;
  border-style: solid;
  margin: 5px 0 5px 0;
}
.blog-post > * {
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-content: center;
}
.blog-post > *:first-child {
  /* date of blog */
  align-content: center;
  text-decoration: underline;
  border-width: 0 2px 0 0;
  border-style: solid;
  border-color:#202255;
  padding: 0.5em;
}
.blog-post > div h2 {
  margin-block: 0em;
  padding: 0.3em;
  padding-block: 0.5em;
}
.blog-post > div div img {
  /* affects blog-post images, not images in the text */
  image-rendering: pixelated;
  align-items: center;
  border: #F8FBFC;
  border-style: dotted;
  border-width: 2px;
}
.blog-post-img-wide {
  /* this one used for primarly wide images */
  width: 198px;
}
.blog-post-img-high {
  /* this one used for primarly high images */
  height: 198px;
}

.footer-text {
  color: #202255;
  text-align: center;
  font-size: 12px;
  line-height: 1;
}
.footer-link {
  color: #202255;
}
.footer-center {
  border-color: #202255;
  background-color: #F18D34;
  justify-self: center;
  align-content: center;
  padding-left: 10px;
  padding-right: 10px;
  border-radius: 5px;
  border-style: outset;
  margin-top: 10px
}